#
# spec file for package cram
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           cram
Version:        0.7
Release:        2.2
Summary:        A simple testing framework for command line applications
License:        GPL-2.0
Group:          Development/Languages/Python
Url:            https://bitheap.org/cram/
Source:         https://pypi.python.org/packages/source/c/cram/cram-%{version}.tar.gz
BuildRequires:  python3-coverage
BuildRequires:  python3-devel
BuildRequires:  python3-nose
BuildRequires:  python3-setuptools
Requires:       python3
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Cram is a functional testing framework for command line applications
based on Mercurial's `unified test format'.

Cram tests look like snippets of interactive shell sessions. Cram runs
each command and compares the command output in the test with the
command's actual output.

%prep
%setup -q
sed -i 's/python$/python3/' scripts/cram

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
make %{?_smp_mflags} PYTHON=python3 test

%files
%defattr(-,root,root,-)
%doc COPYING.txt README.rst
%{_bindir}/cram
%dir %{python3_sitelib}/%{name}/
%dir %{python3_sitelib}/%{name}/__pycache__/
%{python3_sitelib}/%{name}/*.py
%{python3_sitelib}/%{name}/__pycache__/*.cpython-*.pyc
%{python3_sitelib}/%{name}-%{version}-py%{py3_ver}.egg-info

%changelog
* Fri Jun 17 2016 mpluskal@suse.com
- Update testsuite dependencies and enable all tests
* Thu Apr 28 2016 mimi.vx@gmail.com
- update to 0.7
  * Added the -d/--debug flag that disables diffing of expected/actual output and
    instead passes through script output to stdout/stderr.
  * Added the --shell-opts flag for specifying flags to invoke the shell with. By
    setting --shell-opts='-x' and --debug together, this can be used to see shell
    commands as they're run and their output in real time which can be useful for
    debugging slow or hanging tests.
  * Added xUnit XML output support (for better integration of test results with Bamboo
    and other continuous integration tools).
  * Added support for using (esc) on expected out lines that aren't automatically
    escaped in actual output.
  * Added the $TESTSHELL environment variable. This allows a test to portably check
    what shell it was invoked with.
  * Added an error message for when no tests are found in a directory.
  * Changed Makefile to install into /usr/local by default.
  * Simplified the Makefile's targets. The targets available now are all, build,
    check/test, clean, dist, install, and quicktest (for running the test suite
    without checking test coverage).
  * Fixed non-ASCII strings not being escaped with (esc) on Python 3.
  * Fixed a crash on tests that don't have a trailing newline.
  * Fixed a crash when using set -x with zsh.
* Sat Feb 20 2016 mpluskal@suse.com
- Switch to python3
- Minor spec file cleanups
* Fri Sep 18 2015 jmatejka@suse.cz
- Initial package ready for submission to Fatory. Version 0.6
